Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 43899 - calltree depends on valgrind 2.0.0, 2.1.0 availbale; cyclic upgrade/downgrade
Summary: calltree depends on valgrind 2.0.0, 2.1.0 availbale; cyclic upgrade/downgrade
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Caleb Tennis (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-06 11:19 UTC by Martin Hajduch
Modified: 2004-04-07 02:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Hajduch 2004-03-06 11:19:33 UTC
calltree (0.9.6) depends on valgrind 2.0.0
however, there is already valgrind 2.1.0 available
this is causing cyclic upgrade/downgrade of valgrind

wouldn't it be better if portage would report this circular dependency rather then repeatedly upgrade/downgrade the packages  when doing emerge -u world ?
Comment 1 James 2004-03-20 14:54:40 UTC
A fix would be to add calltree 0.9.7 to the gentoo portage.
http://kcachegrind.sourceforge.net/calltree-0.9.7.tar.gz
It supports valgrind 2.0.0, 2.1.0, 2.1.1
calltree 0.9.6 only supports 2.0.0
Comment 2 Martin Hajduch 2004-03-20 16:46:27 UTC
i just wonder -> currently i have valgrind 2.1 and calltree 0.9.6 -> and valgrind seems to be working fine ?
but i'm just doing a basic stuff (checking for memory errors and leaks, only --check-leak cmdline option, nothing special)

what's the problem with running calltree 0.9.6 with valgrind 2.1 ? may i get wrong results ?
Comment 3 Olaf Freyer 2004-03-23 13:17:47 UTC
For me, the usage of valgrind 2.1.0 and calltree 0.9.6 results in:

# calltree ls
Error:
  Tool and core interface versions do not match.
  Interface version used by core is: 5.0
  Interface version used by tool is: 4.0
  The major version numbers must match
  You need to at least recompile, and possibly update,
  your skin to work with this version of Valgrind.
  Aborting, sorry.
Comment 4 Caleb Tennis (RETIRED) gentoo-dev 2004-04-05 11:33:32 UTC
latest valgrind and calltree should have this fixed (~x86 currently)
Comment 5 Martin Hajduch 2004-04-07 02:10:27 UTC
looks good for me !
Comment 6 Martin Hajduch 2004-04-07 02:11:17 UTC
looks good for me as well